/*====  RESET ============================ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  html,
  body {
    height: 100%;
    font: 400 1rem 'DM Sans', sans-serif;
    color: var(--text-color);
    -webkit-font-smoothing: antialiased;
  }
  
  .container {
    width: 100%;
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 4%;
  }
  
  .clear {
    clear: both;
  }
  
  .menu_mobile {
    display: none;
  }
  
  a {
    text-decoration: none;
  }
  
  img {
    width: 100%;
    height: auto;
  }
  
  /*====  VARIABLES ============================ */
  :root {
    --header-height: 4.5rem;
  
    /* colors */
    --hue: 159;
    /* HSL color mode */
    --base-color: hsl(var(--hue) 36% 57%);
    --base-color-second: hsl(var(--hue) 65% 88%);
    --base-color-alt: hsl(var(--hue) 57% 53%);
    --title-color: hsl(var(--hue) 41% 10%);
    --text-color: hsl(0 0% 46%);
    --text-color-light: hsl(0 0% 98%);
    --body-color: hsl(0 0% 98%);
  }
  
  /*====  BASE ============================ */
  
  h1 {
    font: 700 1.875rem 'Poppins', sans-serif;
    color: var(--title-color);
    -webkit-font-smoothing: auto;
  }
  
  .button {
    background-color: var(--base-color);
    color: var(--text-color-light);
    height: 3.5rem;
    display: inline-flex;
    align-items: center;
    padding: 0 2rem;
    border-radius: 0.25rem;
    font: 500 1rem 'DM Sans', sans-serif;
    transition: background 0.3s;
  }
  
  .button:hover {
    background: var(--base-color-alt);
  }
  
  .divider-1 {
    height: 1px;
    background: linear-gradient(
      270deg,
      hsla(var(--hue), 36%, 57%, 1) 0%,
      hsla(var(--hue), 65%, 88%, 0.34) 100%
    );
  }
  /*Cabeçalho da pagina*/
  header .logo {
    float: left;
    line-height: 55px;
    width: 30%;
  }
  
  /*Menu*/
  header .menu {
    float: right;
  }
  header .menu ul {
    list-style: none;
    float: left;
    line-height: 50px;
  }
  header .menu ul li {
    float: left;
    font-size: 18px;
    margin: 0 15px;
  }
  header .menu ul li a {
    color: black;
  }
  header .menu ul li a:hover {
    color: rgb(44, 204, 156);
  }
  header .menu ul li a.ativado {
    color: rgb(44, 204, 156);
  }
  
  /*====  LAYOUT ============================ */
  
  .grid {
    display: grid;
    gap: 2rem;
  }
  
  .section {
    padding: 5rem 0;
  }
  
  #header {
    border-bottom: 1px solid #e4e4e4;
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    background-color: var(--body-color);
    width: 100%;
  }
  
  nav {
    height: var(--header-height);
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
  }
  
  .logolink {
    font: 700 1.31rem 'Poppins', sans-serif;
    color: var(--title-color);
  }
  
  .logo span {
    color: var(--base-color);
  }
  
  main {
    margin-top: var(--header-height);
  }
  
  /*====  HOME ============================ */
  
  section.banner {
    width: 100%;
    height: 100vh;
    background-image: url(./img/contrução.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
  }
  
  section.banner {
    margin-top: -40px;
  }
  
  /*Formulario*/
  
  section.banner .formulario {
    position: relative;
    text-align: center;
    left: 60%;
    top: 10%;
    width: 30%;
    padding: 20px;
    color: white;
    border-radius: 15px;
    background-color: rgba(0, 0, 0, 0.432);
  }
  
  section.banner .formulario p {
    color: rgb(44, 204, 156);
    padding: 8px 0;
  }
  
  section.banner .formulario input[type='text'],
  section.banner .formulario input[type='email'] {
    width: 85%;
    padding: 6px;
    outline: none;
    border: 1px solid rgb(44, 204, 156);
    background-color: rgba(0, 0, 0, 0.473);
    color: white;
    border-radius: 455px;
  }
  
  section.banner .formulario textarea {
    width: 85%;
    resize: none;
    outline: none;
    border: 1px solid rgb(44, 204, 156);
    background-color: rgba(0, 0, 0, 0.473);
    color: white;
    border-radius: 15px;
    padding: 6px;
  }
  section.banner .formulario button {
    width: 45%;
    cursor: pointer;
    padding: 10px;
    color: rgb(44, 204, 156);
    border: 1px solid rgb(44, 204, 156);
    background-color: rgba(0, 0, 0, 0.473);
  }
  
  section.banner .formulario input[type='text']:focus,
  section.banner .formulario textarea:focus,
  section.banner .formulario input[type='email']:focus {
    width: 95%;
    border: 1px solid rgb(44, 140, 204);
    transition: 1s;
  }
  
  /*Sessão de banner2*/
  
  section.banner2 {
    width: 100%;
    height: 80vh;
    background-image: url(./img/contrução2.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    position: relative;
    left: 0;
    top: 0;
  }
  
  section.banner2 .opacity {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.349);
    position: absolute;
  }
  
  section.banner2 > .container {
    position: absolute;
    z-index: 3;
  }
  
  section.banner2 .text {
    text-align: center;
    margin-top: 140px;
  }
  section.banner2 .text h2 {
    color: rgb(44, 204, 156);
    margin-bottom: 15px;
    font-size: 35px;
  }
  
  section.banner2 .text p {
    color: white;
    font-size: 18px;
    font-weight: lighter;
  }
  
  /*Sessão dos serviços*/
  
  section.servicos {
    margin-top: 30px;
    width: 100%;
    text-align: center;
  }
  
  section.servicos h2 {
    font-size: 39px;
  }
  
  section.servicos .baner-wraper {
    width: 100%;
    margin: 50px 0;
  }
  section.servicos .baner-wraper .content-img {
    width: calc(100% / 3);
    float: left;
    padding: 25px;
    background-color: rgba(0, 0, 0, 0.603);
    border: 15px solid white;
  }
  section.servicos .baner-wraper .content-img span {
    font-size: 20px;
    font-weight: lighter;
    padding: 0 20px;
    color: rgb(44, 204, 156);
  }
  
  /*Sessão de texto - contato */
  
  section.contato {
    width: 100%;
    text-align: center;
    margin: 50px 0;
  }
  section.contato h2 {
    font-size: 40px;
  }
  section.contato p {
    font-size: 18px;
    margin: 20px 0 50px 0;
  }
  
  section.texto .text {
    padding: 40px 0 20px 0;
    margin: 0 1.5rem;
    text-align: center;
  }
  
  section.texto .text h1 {
    margin-bottom: 1rem;
  }
  
  section.texto .text p {
    margin-bottom: 2rem;
  }
  
  footer {
    margin-top: 50px;
    width: 100%;
  }
  
  footer .metade {
    text-align: center;
    width: calc(100% / 2);
    float: left;
  }
  
  footer .metade ul {
    list-style: none;
  }
  
  .pontinho {
    text-align: center;
    width: 50px;
    height: 50px;
    border-radius: 50px;
    border: 1px solid black;
    position: fixed;
    left: 90%;
    background-color: black;
    top: 90%;
  }
  .pontinho h2 {
    margin-top: 8px;
  }
  
  /*responsivo do site*/
  
  @media screen and (max-width: 970px) {
    section.servicos .baner-wraper .content-img {
      width: 100%;
      float: none;
      padding: 25px;
      background-color: rgba(0, 0, 0, 0.603);
      border: 15px solid white;
    }
  }
  @media screen and (max-width: 820px) {
    header .logo {
      float: left;
      line-height: 55px;
      width: 30%;
    }
  
    /*Menu*/
    header .menu {
      display: none;
    }
  
    header .menu_mobile {
      display: block;
      float: right;
    }
  
    header .menu_mobile h2 {
      cursor: pointer;
      line-height: 60px;
    }
  
    header .menu_mobile h2:hover ul {
      display: block;
    }
  
    header .menu_mobile ul {
      display: none;
      width: 100%;
      list-style: none;
      z-index: 999;
      text-align: center;
      width: 100%;
      padding: 15px 0;
      background-color: rgb(255, 255, 255);
      position: absolute;
      left: 0;
      top: 50px;
    }
  
    header .menu_mobile ul li {
      margin-bottom: 20px;
      font-size: 18px;
    }
  
    header .menu_mobile ul li a {
      color: #666;
    }
  
    header .menu_mobile ul li a:hover {
      color: rgb(44, 204, 156);
    }
  
    section.banner {
      height: 105vh;
    }
  
    section.banner .formulario {
      position: relative;
      text-align: center;
      left: 25%;
      top: 20%;
      width: 50%;
    }
  }
  
  @media screen and (max-width: 500px) {
    footer .metade {
      margin-top: 50px;
      text-align: center;
      width: 100%;
      float: none;
    }
    section.banner .formulario {
      position: relative;
      text-align: center;
      left: 5%;
      top: 10%;
      width: 90%;
    }
    section.banner2 {
      height: 100vh;
    }
    section.servicos .baner-wraper .content-img span {
      font-size: 20px;
      font-weight: lighter;
      padding: 0 10px;
      color: rgb(44, 204, 156);
    }
  }